SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000972: squid proxy conf: visible hostname check too strong - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000972Endian FirewallGUIpublic2008-06-18 17:372008-07-27 20:18
Reporterchris-endian 
Assigned Tosimon-endian 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-rc1 
Target Version2.2-rc2Fixed in Version2.2-rc2 
Summary0000972: squid proxy conf: visible hostname check too strong
Descriptionadvproxy.cgi line 169 gives an error if visible_hostname contains
non word chars - this is not ok, for example a dot is a valid part of a host name





TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0001361)
simon-endian (developer)
2008-06-25 09:54

visible hostname is now checked to be eighter a fully qualified domain name or a hostname

- Issue History
Date Modified Username Field Change
2008-06-18 17:37 chris-endian New Issue
2008-06-23 22:41 peter-endian Assigned To => simon-endian
2008-06-23 22:41 peter-endian Severity minor => major
2008-06-23 22:41 peter-endian Status new => assigned
2008-06-23 22:41 peter-endian Target Version => 2.2-rc2
2008-06-25 09:54 simon-endian Status assigned => resolved
2008-06-25 09:54 simon-endian Fixed in Version => 2.2-rc2
2008-06-25 09:54 simon-endian Resolution open => fixed
2008-06-25 09:54 simon-endian Note Added: 0001361
2008-07-27 20:18 peter-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker